Subject: [tram] TURN over TLS / Certificate CN?

From: Daniel Pocock <[email-masked]>
Date: Tue, 10 Nov 2015 19:54:11 +0100

I've seen various RFCs describing the URIs[1] and NAPTRs[2] for TURN

One thing that is not clear to me from reading them is the common name
(CN) or subjectAltName that should be in the certificate on the server
and how the client should decide whether to trust that name.

Could anybody comment on this or suggest what I should read?

Can anybody comment on how clients like Chrome WebRTC and ice4j are
behaving in practice?

1. https://tools.ietf.org/html/rfc7065
2. https://tools.ietf.org/html/rfc5928